import React, { useState, useEffect} from 'react';
import { Row, Col, Tree, Card} from 'antd';
import { DownOutlined } from '@ant-design/icons';
import { PageContainer, GridContent } from '@ant-design/pro-layout';
import { getOUTree} from '@/services/userCenter/siteManage/api';
import ListCard from '@/pages/orgnazation/ListCard';
import styles from '@/pages/userCenter/siteManage/SiteManage.less'

const SiteManage = ()=>{
  const [ treeData, setTreeData ] = useState([])
  const [ ouid, setOuid ] = useState('')
  //点击树的回调
  const handleTreeSelect = (e) =>{
    console.log(e)
    let id = e[0]
    setOuid(id)
  }
  useEffect(()=>{
    getOUTree().then(res =>{   
     let arr = transTree(res)
      setTreeData(arr)
    })
  },[])
  const transTree = (val) =>{
    let arr = val
   return arr.map( item =>{
      item.title = item.text
      item.key = item.id
      let obj = {}
      if(Array.isArray(item.children) && item.children.length > 0){
        transTree(item.children)
        return obj = item
      }else{
        return item
      }
    })
  }
  return (
    <PageContainer>
      <GridContent>
        <Row gutter={12}>
          <Col lg={6} md={24}>
            <Card className={ styles.cardBox}>
              <Tree 
                showLine
                showIcon={<DownOutlined />}
                onSelect={(e)=> handleTreeSelect(e)}
                treeData={treeData}
              /> 
            </Card>
          </Col>
          <Col lg={18} md={24}>
            <Card className={ styles.cardBox}>
              <ListCard ouid={ouid}></ListCard>
            </Card>
          </Col>
        </Row>
      </GridContent>

    </PageContainer>
  )
}

export default SiteManage
